import { get, post } from '@/utils/request';
import type { DailyTaskStatusOutput, ClaimTaskRewardInput } from './types';

// 获取今日任务状态
export function getTodayTaskStatus() {
  return get<DailyTaskStatusOutput>('/daily-task/today-task-status').json();
}

// 领取任务奖励
export function claimTaskReward(data: ClaimTaskRewardInput) {
  return post<void>('/daily-task/claim-task-reward', data).json();
}
